
#ifndef MediaStreamCenterEspial_h
#define MediaStreamCenterEspial_h

#if ENABLE(MEDIA_STREAM)

#include "MediaStreamCenter.h"

namespace WebCore
{

class MediaStreamCenterEspial : public MediaStreamCenter
{
public:
	MediaStreamCenterEspial();
	virtual ~MediaStreamCenterEspial();

    virtual void queryMediaStreamSources(PassRefPtr<MediaStreamSourcesQueryClient>);

    // FIXME: add a way to mute a MediaStreamSource from the WebKit API layer

    // Calls from the DOM objects to notify the platform
    virtual void didSetMediaStreamTrackEnabled(MediaStreamDescriptor*, MediaStreamComponent*);
    virtual void didAddMediaStreamTrack(MediaStreamDescriptor*, MediaStreamComponent*);
    virtual void didRemoveMediaStreamTrack(MediaStreamDescriptor*, MediaStreamComponent*);
    virtual void didStopLocalMediaStream(MediaStreamDescriptor*);
    virtual void didCreateMediaStream(MediaStreamDescriptor*);

private:

};

}

#endif
#endif
